# std::shared_lock<Mutex>::swap

From cppreference.com
< cpp‎ | thread‎ | shared lock

template< class Mutex > void swap( shared_lock<Mutex>& other ) noexcept; |  | (since C++14)

Exchanges the internal states of the lock objects.

### Parameters

other | - | the lock to swap the state with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

std::swap(std::shared_lock) | specialization of std::swap for `shared_lock` (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_lock/swap&oldid=93363"